%global upstream_name lfrcontrolplugin-2.0-3

Name:           lfrcontrolplugin
Version:        2.0
Release:        3%{?dist}
Summary:        Solar Orbiter's LFR control plugin for SocExplorer.
Group:          System Environment/Libraries
License:        LGPLv2
URL:            https://hephaistos.lpp.polytechnique.fr
Source0:        https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/688/%{upstream_name}.tar.gz
BuildRequires:  socexplorer-devel = 0.7
BuildRequires:  qt5-pythonqt-devel
BuildRequires:  python-devel
BuildRequires:  lib-LFR-paul-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtwebkit-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtxmlpatterns-devel


Requires(post): qt5-qtbase
Requires(post): qt5-qtwebkit
Requires(post): qt5-qtsvg
Requires(post): qt5-qtxmlpatterns
Requires(post): socexplorer = 0.7
Requires(post): lib-LFR-paul



%description
Solar Orbiter's LFR control plugin for SocExplorer.

%prep
%setup -q -n %{upstream_name}

%build
%{_qt5_qmake} 

make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
   %{_qt5_libdir}/SocExplorer/plugins/liblfrcontrolplugin.so*


%changelog
* Wed Apr 20  2016 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 2.0-3
- added interface to set filename while recording packets.
* Thu Oct 8  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 2.0
- Rebuild to match latest SocExplorer ABI.
* Thu Jul 2  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 2.0
- Updated to version 2.0-1  TC_LFR_UPDATE_INFO update (ICD LFR rev 3.9) .
* Tue Jun 2  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 2.0
- Updated to version 2.0-0 now compatible with LFR flight software revision 3.
* Fri Apr 3  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 1.2
- Fix some remaining mistakes.
* Thu Apr 2  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 1.2
- Updated to version 1.2-0 minor changes.
- Removed GenericPySysdriver interface, now socexplorer plugins can be subclassed in python.
* Thu Mar 26 2015 Alexis Jeandet <alexis.jeandet@member.fsf.org>
- Updated to version 1.1-4 minor changes.
* Tue Mar 17 2015 Alexis Jeandet <alexis.jeandet@member.fsf.org>
- Updated to version 1.1-3 eq rev2.
* Thu Feb 05 2015 Alexis Jeandet <alexis.jeandet@member.fsf.org>
- Updated to version 1.1 eq rev1.
* Mon Dec 22 2014 Alexis Jeandet <alexis.jeandet@member.fsf.org> 
- First package.

